Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class PNewDeletedFlushedState

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.JDOState
            |
            +--com.solarmetric.kodo.runtime.PNewDeletedState
                  |
                  +--com.solarmetric.kodo.runtime.PNewDeletedFlushedState

class PNewDeletedFlushedState
extends PNewDeletedState

JDO lifecycle state.

Represents an instance that was made persistent, then deleted within the current transaction, and that has been flushed to the data store.

Fields inherited from class com.solarmetric.kodo.runtime.JDOState
`HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWDELETEDFLUSHED, PNEWFLUSHED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNONTRANS, TCLEAN, TDIRTY, TRANSIENT`

Constructor Summary
`(package private)` | `PNewDeletedFlushedState()`

Method Summary
`(package private) JDOState` | `flush(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction flush.
`(package private) void` | `initialize(StateManagerImpl context)` Called when this state is first assigned to the given state manager.
`(package private) boolean` | `isFlushed()` Return whether this is a flushed state.
`(package private) void` | `preCommit(StateManagerImpl context)`
`(package private) void` | `preFlush(StateManagerImpl context)`

Methods inherited from class com.solarmetric.kodo.runtime.PNewDeletedState
`beforeOptimisticRead, beforeOptimisticWrite, beforeRead, beforeWrite, commit, commitRetain, isDeleted, isDirty, isNew, isPersistent, isTransactional, makeNontransactional, makeTransient, rollback, rollbackRetain`

Methods inherited from class com.solarmetric.kodo.runtime.JDOState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeCommit, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, deletePersistent, error, evict, makePersistent, makeTransactional`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PNewDeletedFlushedState

    PNewDeletedFlushedState()

Method Detail

### initialize

    void initialize(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called when this state is first assigned to the given state manager.
  Overrides:
    `initialize` in class `PNewDeletedState`

### preFlush

    void preFlush(StateManagerImpl context)

### flush

    JDOState flush(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction flush. This is only invoked when the user explicitly invokes `PersistenceManagerImpl.flush()`. That is, it is not invoked when flushing due to a commit operation. That is Returns the `this` pointer by default.
  Overrides:
    `flush` in class `PNewDeletedState`

### preCommit

    void preCommit(StateManagerImpl context)

### isFlushed

    boolean isFlushed()

  Description copied from class: `JDOState`
  Return whether this is a flushed state. Returns `false` by default. Flushed states are those for which `PersistenceManagerImpl.flush()` has been invoked at least once. That is, `PNewFlushed` returns `true`, and so does `PNewFlushedDeleted`. So, it is not sufficient to check if this returns `true` to know if there are outstanding changes that need to be flushed.
  Overrides:
    `isFlushed` in class `JDOState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.